## org.apache.fop.dom.svg
Class SVGTransformListImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.svg.SVGListImpl
            |
            +--org.apache.fop.dom.svg.SVGTransformListImpl

public class SVGTransformListImpl
extends SVGListImpl
implements org.w3c.dom.svg.SVGTransformList

Transform List

Constructor Summary
`SVGTransformListImpl()`

Method Summary
`org.w3c.dom.svg.SVGTransform` `appendItem(org.w3c.dom.svg.SVGTransform newItem)`
`org.w3c.dom.svg.SVGTransform` `consolidate()`
`org.w3c.dom.svg.SVGTransform` `createItem()`
`org.w3c.dom.svg.SVGTransform` `createSVGTransformFromMatrix(org.w3c.dom.svg.SVGMatrix matrix)`
`org.w3c.dom.svg.SVGTransform` `getItem(int index)`
`org.w3c.dom.svg.SVGTransform` `initialize(org.w3c.dom.svg.SVGTransform newItem)`
`org.w3c.dom.svg.SVGTransform` `insertItemBefore(org.w3c.dom.svg.SVGTransform newItem, int index)`
`org.w3c.dom.svg.SVGTransform` `removeItem(int index)`
`org.w3c.dom.svg.SVGTransform` `replaceItem(org.w3c.dom.svg.SVGTransform newItem, int index)`

Methods inherited from class org.apache.fop.dom.svg.SVGListImpl
`clear, getNumberOfItems, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SVGTransformListImpl

    public SVGTransformListImpl()

Method Detail

### createSVGTransformFromMatrix

    public org.w3c.dom.svg.SVGTransform createSVGTransformFromMatrix(org.w3c.dom.svg.SVGMatrix matrix)
                                                              throws org.w3c.dom.svg.SVGException

  Specified by:
    createSVGTransformFromMatrix in interface org.w3c.dom.svg.SVGTransformList

### consolidate

    public org.w3c.dom.svg.SVGTransform consolidate()

  Specified by:
    consolidate in interface org.w3c.dom.svg.SVGTransformList

### initialize

    public org.w3c.dom.svg.SVGTransform initialize(org.w3c.dom.svg.SVGTransform newItem)
                                            throws org.w3c.dom.svg.SVGException

  Specified by:
    initialize in interface org.w3c.dom.svg.SVGTransformList

### createItem

    public org.w3c.dom.svg.SVGTransform createItem()

### getItem

    public org.w3c.dom.svg.SVGTransform getItem(int index)
                                         throws org.w3c.dom.DOMException

  Specified by:
    getItem in interface org.w3c.dom.svg.SVGTransformList

### removeItem

    public org.w3c.dom.svg.SVGTransform removeItem(int index)
                                            throws org.w3c.dom.DOMException

  Specified by:
    removeItem in interface org.w3c.dom.svg.SVGTransformList

### appendItem

    public org.w3c.dom.svg.SVGTransform appendItem(org.w3c.dom.svg.SVGTransform newItem)
                                            throws org.w3c.dom.svg.SVGException

  Specified by:
    appendItem in interface org.w3c.dom.svg.SVGTransformList

### replaceItem

    public org.w3c.dom.svg.SVGTransform replaceItem(org.w3c.dom.svg.SVGTransform newItem,
                                                    int index)
                                             throws org.w3c.dom.DOMException,
                                                    org.w3c.dom.svg.SVGException

  Specified by:
    replaceItem in interface org.w3c.dom.svg.SVGTransformList

### insertItemBefore

    public org.w3c.dom.svg.SVGTransform insertItemBefore(org.w3c.dom.svg.SVGTransform newItem,
                                                         int index)
                                                  throws org.w3c.dom.svg.SVGException

  Specified by:
    insertItemBefore in interface org.w3c.dom.svg.SVGTransformList

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.